/**
 * Warn logging message
 *
 * @param msg
 * @param err
 */
export declare function warnLog(msg: string, err: Error): void;
/**
 * Parse log level
 *
 * @param level
 * @returns {any}
 */
export declare function parseLogLevel(level: string): any;
/**
 * Format a message value
 *
 * @param value
 * @returns {string}
 */
export declare function formatValue(value: any): any;
/**
 * Get a deep property
 *
 * @param obj
 * @param keyPath
 * @returns {any}
 */
export declare function getProp(obj: any, keyPath: any): any;
