"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * All log functions
 */
var Log = require("./Logger");
/**
 * Export all functions from ./log
 */
__export(require("./Logger"));
/**
 * Export all required types
 */
__export(require("./Types"));
/**
 * The default styler with chalk
 */
var DefaultStyler_1 = require("./DefaultStyler");
exports.DefaultStyler = DefaultStyler_1.default;
/**
 * Shortcut to Log.create
 *
 * @type {function(string): ILogger}
 */
exports.getLogger = Log.create;
/**
 * By default export Log manager
 */
exports.default = Log;
//# sourceMappingURL=index.js.map